
define service {
	service_description		http
	use				generic-service
	host_name			cisdrswh200l, cisdrswh201l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http!6!8
	contacts			CISDR, Dwight D. Bashore
}

define service {
	service_description		http
	use				generic-service
	host_name			egn-dome-wwwinterface
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http!6!8
	check_period			EGN Dome WWWInterface
	notification_period		EGN Dome WWWInterface
	contacts			Gregory S. Paczkowski, Joseph M. Karam
}

define service {
	service_description		http
	use				generic-service
	host_name			tools
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http!6!8
	contacts			Identity and Access Management
}

define service {
	service_description		http
	use				generic-service
	host_name			net200l-config
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_port!6!8!6060
	contacts			Networking
}

define service {
	service_description		https
	use				generic-service
	host_name			eisnet200l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https!6!8
	contacts			Networking
}

define service {
	service_description		https
	use				generic-service
	host_name			sdptools200w, tools
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https!6!8!-N
	contacts			Identity and Access Management
}

#define service {
#	service_description		https
#	use				generic-service
#	host_name			
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	check_command			check_https!6!8!-N -f "follow"
#	contacts			Identity and Access Management
#}

define service {
	service_description		http_dropbox.com
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!dropbox.com!6!8
	contacts			Networking
}

define service {
	service_description		http_www.mccarter.org
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!www.mccarter.org!6!8
	contacts			dummy
}

define service {
	service_description		https_www.mccarter.org
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!www.mccarter.org!6!8
	contacts			dummy
}

define service {
	service_description		https_Exchange_EWS
	use				generic-service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_auth!ntlm!https://$HOSTALIAS$/ews/exchange.asmx!PRINCETON%groundwk!$USER30$!xmlns:t=\"http://schemas.microsoft.com
	contacts			CISDR
}

define service {
	service_description		https_owa_Exchange_EWS
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_auth!ntlm!https://owa.Princeton.EDU/ews/exchange.asmx!PRINCETON%groundwk!$USER30$!xmlns:t=\"http://schemas.microsoft.com
	contacts			CISDR
}

define service {
	service_description		https_careers
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!careers.Princeton.EDU!6!8
	contacts			Networking
}

define service {
	service_description		https_campaignvolunteers
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!campaignvolunteers.princeton.edu!/!6!8! -f "follow"
	contacts			Dev Web Monitor
}

define service {
	service_description		https_job_search
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!main-princeton.icims.com!6!8
	contacts			Networking
}

define service {
	service_description		https_Service-Now
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!princeton.service-now.com!/!6!8
	contacts			Networking
}

define service {
	service_description		https_secure.ohmcentral.com
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!secure.ohmcentral.com!/!6!8
	contacts			David Rinker
}

define service {
	service_description		https_shibboleth_qa
	use				generic-service
	host_name			idpqa, iamshib102w.aws, iamshib103w.aws
	check_command			check_https_url!$HOSTALIAS$!/idp/shibboleth!6!8! -s "https://idpqa.princeton.edu/idp/shibboleth" 
	contacts			Identity and Access Management
}

define service {
	service_description		https_shib_qa_status
	use				generic-service
	host_name			idpqa, iamshib102w.aws, iamshib103w.aws
	check_command			check_https_url!$HOSTALIAS$!/idp/profile/status!6!8! -s "DataConnector myLDAP: has never failed" 
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_idpqa_elb.125_status
	use				generic-service
	host_name			idpqa
	check_command			check_https_url_idpqa_125!6!8! -s "DataConnector myLDAP: has never failed"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_idpqa_elb.83_status
	use				generic-service
	host_name			idpqa
	check_command			check_https_url_idpqa_83!6!8! -s "DataConnector myLDAP: has never failed"
	contacts			Identity and Access Management
}

define service {
	service_description		https_shibboleth
	use				generic-service
	host_name			idp, iamshib202w.aws, iamshib203w.aws
	check_command			check_https_url!$HOSTALIAS$!/idp/shibboleth!6!8! -s "https://idpqa.princeton.edu/idp/shibboleth" 
	contacts			Identity and Access Management
}

define service {
	service_description		https_shib_status
	use				generic-service
	host_name			idp, iamshib202w.aws, iamshib203w.aws
	check_command			check_https_url!$HOSTALIAS$!/idp/profile/status!6!8! -s "DataConnector myLDAP: has never failed" 
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_idp_elb.95_status
	use				generic-service
	host_name			idp
	check_command			check_https_url_idp_95!6!8! -s "DataConnector myLDAP: has never failed"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_idp_elb.168_status
	use				generic-service
	host_name			idp
	check_command			check_https_url_idp_168!6!8! -s "DataConnector myLDAP: has never failed"
	contacts			Identity and Access Management
}

define service {
	service_description		https_status
	use				generic-service
	host_name			iamshib200w, iamshib201w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!$HOSTALIAS$!/idp/profile/status!6!8! -s "last reload attempt"
	contacts			Identity and Access Management
}


define service {
	service_description		http_aisfe05
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!aisfe05.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_aisfe06
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!aisfe06.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_aisfe07
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!aisfe07.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_aisfe08
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!aisfe08.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_alumnife05
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!alumnife05.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_alumnife06
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!alumnife06.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_alumnife07
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!alumnife07.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_alumnife08
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!alumnife08.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptafe05
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptafe05.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptafe06
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptafe06.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptafe07
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptafe07.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptafe08
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptafe08.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptbfe05
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptbfe05.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptbfe06
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptbfe06.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptbfe07
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptbfe07.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptbfe08
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptbfe08.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_financefe05
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!financefe05.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_financefe06
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!financefe06.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_financefe07
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!financefe07.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_financefe08
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!financefe08.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_upc
	use				generic-service
	host_name			aisupc202w, aisupc203w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!$HOSTNAME$.princeton.edu!/upc/pubcal/release.html!6!8
}

define service {
	service_description		http_registrarfe05
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!registrarfe05.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_registrarfe06
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!registrarfe06.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_registrarfe07
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!registrarfe07.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_registrarfe08
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!registrarfe08.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_8001
	use				generic-service
	host_name			sdpoam200l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!$HOSTNAME$.Princeton.EDU!/OAAMUtilityWeb/CreateUser!6!8! -p 8001
	contacts			Identity and Access Management
}

define service {
	service_description		https_4443
	use				generic-service
	host_name			iamprox100l, iamprox101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https!6!8!-N -p 4443 -f "follow"
	contacts			Identity and Access Management
}

define service {
	service_description		https_4444
	use				generic-service
	host_name			iamprox100l, iamprox101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https!6!8!-N -p 4444 -f "follow"
	contacts			Identity and Access Management
}

define service {
	service_description		https_4450
	use				generic-service
	host_name			iamprox100l, iamprox101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https!6!8!-N -p 4444 -f "follow"
	contacts			Identity and Access Management
}

define service {
	service_description		https_4446
	use				generic-service
	host_name			iamprox100l, iamprox101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_port!6!8!4446
	contacts			Identity and Access Management
}

define service {
	service_description		https_4447
	use				generic-service
	host_name			iamprox100l, iamprox101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_port!6!8!4447
	contacts			Identity and Access Management
}

define service {
	service_description		https_4448
	use				generic-service
	host_name			iamprox100l, iamprox101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_port!6!8!4448
	contacts			Identity and Access Management
}

define service {
	service_description		https_4449
	use				generic-service
	host_name			iamprox100l, iamprox101l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_port!6!8!4449
	contacts			Identity and Access Management
}

define service {
	service_description		http_www-dept-edit
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!www-dept-edit.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		http_deptbedit
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptbedit.princeton.edu!6!8
	contacts			CISDR
}

define service{
	service_description		webcheck_https_ShoppingCart
	use				generic-service
	host_name			dascrl200w
	max_check_attempts		3
	normal_check_interval		1
	retry_check_interval		1
	check_command			check_https_ShoppingCart
	contacts			CRL List
}

define service {
	service_description		http_agchallenge
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!agchallenge.princeton.edu!6!8
	contacts			Dev Web Monitor
}

define service {
	service_description		http_classics
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!classics.princeton.edu!6!8
	contacts			Classics Web
}

define service {
	service_description		http_cpanel-das-prod-oitcpanel
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!cpanel-das-prod-oitcpanel.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		http_cpanel-das-qa-oitcpanel
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!cpanel-das-qa-oitcpanel.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		http_ohdcpanl_deptcpanel_reclaim_prod
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!ohdcpanl.deptcpanel.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		http_ohdcpanl_cpaneldev_reclaim_dev
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!ohdcpanl.cpaneldev.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Open Access Repository
}

define service {
	service_description		http_ohdcpanl_mycpanel2_reclaim_personal
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!ohdcpanl.mycpanel2.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		http_ohdcpanl-oitwasprod
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!ohdcpanl.oitwasprod.princeton.edu!/showstatus.php!6!8! -s "PHP and MySQL are working properly"
	contacts			CISDR
}

define service {
	service_description		http_oar
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oar.princeton.edu!/!6!8!
	contacts			CISDR
}

define service {
	service_description		http_oar_rt4ds
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oar.princeton.edu!/rt4ds/repository!8!12! -N
	contacts			CISDR
}

define service {
	service_description		http_oar-dev
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oar-dev.princeton.edu!/!6!8!
	contacts			Open Access Repository
}

define service {
	service_description		http_oar-dev_rt4ds
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oar-dev.princeton.edu!/rt4ds/repository!8!12! -s "Repository Item"
	contacts			Open Access Repository
}

define service {
	service_description		http_thesis-central
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!thesis-central.princeton.edu!/!6!8! -s "Thesis Central"
	contacts			CISDR
}

define service {
	service_description		http_thesis-central-firefox-navigation
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_thesis_central!thesis-central.princeton.edu!groundwk!$USER30$
	contacts			Thesis Central
}

define service {
	service_description		http_thesis-central-qa.aws
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!thesis-central-qa.aws.princeton.edu!/!6!8! -s "Thesis Central"
	contacts			Thesis Central
}

define service {
	service_description		http_thesis-central-qa.aws-firefox-navigation
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_thesis_central!thesis-central-qa.aws.princeton.edu!groundwk!$USER30$
	contacts			Thesis Central
}

define service {
	service_description		http_oitcpanel.cpaneldev
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oitcpanel.cpaneldev.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		http_oitcpanel.deptcpanel
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oitcpanel.deptcpanel.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		http_oitcpanel.mycpanel
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oitcpanel.mycpanel.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		http_oitcpanel.mycpanel2
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oitcpanel.mycpanel2.princeton.edu!/showmysqlstatus.php!6!8! -s "DBConnection=Yes"
	contacts			Cpanel Admins
}

define service {
	service_description		https_idpstatus
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!idp.princeton.edu!/idp/profile/status!6!8! -s "idp_version: 3.2.1"
	contacts			Identity and Access Management
}

define service {
	service_description		webcheck_http_simple_giving
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!giving.princeton.edu!6!8
	contacts			Kathleen D. Haney, Kathy Haney Pager, Nicholas DiPietro
}

define service {
	service_description		http_idm
	use				Windows Production service
	host_name			prov01
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!idm.princeton.edu!/xlWebApp!6!8! -p 7001 -s "Oracle Identity Manager"
	contacts			Identity and Access Management
}


define service {
	service_description		https_idm
	use				Windows Production service
	host_name			prov01
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url-tlsv1!idm.princeton.edu!/xlWebApp!6!8! -s "Oracle Identity Manager" -p 8443
	contacts			Identity and Access Management
}

define service {
	service_description		http_rms
	use				generic-service
	host_name			Webcheck_host
	check_command			check_http_www_rms
	event_handler			sdpalc200w_restart
	contacts			Identity and Access Management
}

define service {
	service_description		webcheck_https_ntlm_homepageSamplePhoto
	use				generic-service
	host_name			csg_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!ntlm.princeton.edu!/_layouts/images/homepageSamplePhoto.jpg!6!8
	contacts			Sharepoint Admin
}

define service {
	service_description		webcheck_https_ntlm_logoPU.png
	use				generic-service
	host_name			csg_host
	check_command			check_https_auth!ntlm!https://ntlm.princeton.edu/nagios/SiteAssets/SitePages/Home/logoPU.png!PRINCETON%groundwk!$USER30$
	contacts			Sharepoint Admin
}

define service {
	service_description		webcheck_https_owa_csgcas205w
	use				generic-service-active
	host_name			csg_host
	max_check_attempts		5
	normal_check_interval		10
	retry_check_interval		5
	check_command			check_owa!https://csgcas205w.princeton.edu!csgtst04
	contacts			CISDR
}

define service {
	service_description		webcheck_https_owa_csgcas204w
	use				generic-service-active
	host_name			csg_host
	max_check_attempts		5
	normal_check_interval		10
	retry_check_interval		5
	check_command			check_owa!https://csgcas204w.princeton.edu!csgtst05
	contacts			CISDR
}

define service {
	service_description		webcheck_https_owa
	use				generic-service-active
	host_name			csg_host
	normal_check_interval		10
	retry_check_interval		5
	check_command			check_owa!https://owa.princeton.edu!csgtst06
	contacts			CISDR
}

define service {
	service_description		webcheck_https_owa_csgcas207w
	use				generic-service-active
	host_name			csg_host
	max_check_attempts		5
	normal_check_interval		10
	retry_check_interval		5
	check_command			check_owa!https://csgcas207w.princeton.edu!csgtst06
	contacts			CISDR
}

define service {
	service_description		webcheck_https_owa_csgcas206w
	use				generic-service-active
	host_name			csg_host
	max_check_attempts		5
	normal_check_interval		10
	retry_check_interval		5
	check_command			check_owa!https://csgcas206w.princeton.edu!csgtst03
	contacts			CISDR
}

define service {
	service_description		http_princeton.edu
	use				generic-service
	host_name			csg_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!www.princeton.edu!6!8
	contacts			Joseph M. Karam
}

define service {
	service_description		webcheck_http_simple_volunteer
	use				generic-service
	host_name			csg_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!volunteer.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		webcheck_http_simple_alumni
	use				generic-service
	host_name			csg_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!alumni.princeton.edu!25!30
	contacts			CISDR
}

define service {
	service_description		webcheck_https_simple_finance
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!finance.princeton.edu!25!30
	contacts			CISDR
}

define service {
	service_description		webcheck_https_simple_financeedit
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!financeedit.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		webcheck_https_simple_alumniedit
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!alumniedit.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		webcheck_https_registrar_score
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!registrar.princeton.edu!/score!25!30
	contacts			CISDR
}

define service {
	service_description		webcheck_https_simple_registraredit
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!registraredit.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		webcheck_http_www.princeton.edu_oit
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!www.princeton.edu!/oit!25!30
	contacts			CISDR
}

define service {
	service_description		webcheck_http_www.princeton.edu_physics
	use				generic-service
	host_name			www_roxen
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!www.princeton.edu!/physics!25!30
	contacts			CISDR
}

define service {
	service_description		https_Kaltura_Hybrid
	use				generic-service
	host_name			csgtools200l
	check_command			check_https_auth_groundwk!6!8!/kaltura/kaltura-hybrid-status.html! -s "Kaltura hybrid configuration status is: UP"
	contacts			CISDR OnCall, Dwight D. Bashore, Mark A. Ratliff
}

define service {
	service_description		https_Webspace
	use				generic-service
	host_name			webspace, webspaceqa
	normal_check_interval		5
	retry_check_interval		5
	check_command			check_https_Webspace!!Xythosm
	contacts			CISDR, Dwight D. Bashore
}

define service {
	service_description		https_Webspace
	use				generic-service
	host_name			iamxythos200l, iamxythos201l
	normal_check_interval		5
	retry_check_interval		5
	check_command			check_https_Webspace_backend!https://$HOSTALIAS$:9443
	contacts			CISDR
}

define service {
	service_description		https_Webspaceqa
	use				generic-service
	host_name			iamxythos100l, iamxythos101l
	normal_check_interval		5
	retry_check_interval		5
	check_command			check_https_Webspaceqa_backend!https://$HOSTALIAS$:9443
	contacts			CISDR
}

define service {
	service_description		webcheck_http_simple_deptaedit-qa
	use				generic-service
	host_name			Webcheck_host
	check_period			Except 23:55-3:05
	notification_period		Except 23:55-3:05
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!deptaedit-qa.princeton.edu!6!8
	contacts			CISDR
}

define service {
	service_description		webcheck_http_libweb
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!libweb.princeton.edu!/libraries/firestone/rbsc/aids!6!8! -s "Index of"
	contact_groups			pu_default
}

define service {
	service_description		https_simple_makeagift
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!makeagift.princeton.edu!6!8
	contacts			Dev Web Monitor
}

define service {
	service_description		https_makeagift_athletics
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!makeagift.princeton.edu!/athletics!6!10! -s "Give to Varsity Athletics"
	contacts			Dev Web Monitor
}

define service {
	service_description		http_tagd
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!tagd.princeton.edu!6!10
	contacts			Dev Web Monitor
}

define service {
	service_description		https_events_admin
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!events.princeton.edu!/admin!6!10
	contacts			Dev Web Monitor
}

define service {
	service_description		https_simple_tigertracks
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!tigertracks.princeton.edu!6!8
	contacts			Dev Web Monitor
}

define service {
	service_description		http_aisupcprd
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!aisupcprd.princeton.edu!/upc/pubcal/release.html!6!8
}

define service {
	service_description		webcheck_http_simple_punews
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!news.princeton.edu!6!8
	contact_groups			pu_default
}

define service {
	service_description		webcheck_https_simple_webshare
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!webshare.princeton.edu!6!8
}

define service {
	service_description		https_aisupcprd
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!aisupcprd.princeton.edu!/upc/pubcal/release.html!6!8
}

define service {
	service_description		webcheck_http_etcweb
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!etcweb.princeton.edu!/almagest3/admin/poolbusy.jsp!6!8! -s Status:
	contacts			ATS System Administration
}

define service {
	service_description		http_r25wsprod-lb
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!r25wsprod-lb.princeton.edu!/r25ws/ver.html!6!8
}

define service {
	service_description		http_oar_UCHV
	use				generic-service
	host_name			cisdr204l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oar.Princeton.EDU!/jspui/handle/88435/pr1qg6r!6!8! -s "University Center for Human Values"
	contacts			CISDR
}

define service {
	service_description		http_oar_UCHV
	use				generic-service
	host_name			cisdr103l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oar-dev.Princeton.EDU!/jspui/handle/99999/fk4514878k!6!8! -s "University Center for Human Values"
	contacts			Open Access Repository
}

define service {
	service_description		http_oawaiver
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oawaiver.princeton.edu!/!6!8! -s rails_production
	contacts			CISDR
}

define service {
	service_description		http_oawaiver_api
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oawaiver.princeton.edu!/api/employees/get_all/name.json?search_term=david!6!8! -s David
	contacts			CISDR
}

define service {
	service_description		http_oawaiverdev
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!oawaiverdev.princeton.edu!/!6!8! -s rails_qa
	contacts			Open Access Repository
}

define service {
	service_description		http_dataspace_rest
	use				generic-service
	host_name			cisdr202l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!dataspace.princeton.edu!/rest/collections/201/items?expand=metadata&limit=2!6!8
	contacts			CISDR
}

define service {
	service_description		http_updatespace_rest
	use				generic-service
	host_name			updatespace
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!updatespace.princeton.edu!/rest/collections/201/items?expand=metadata&limit=2!6!8
	contacts			DSP Admins
}

define service {
	service_description		http_dataspace_wws
	use				generic-service
	host_name			cisdr202l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!dataspace.princeton.edu!/jspui/handle/88435/dsp01g445cd134!6!8! -s "Woodrow Wilson School"
	contacts			CISDR
}

define service {
	service_description		http_updatespace_wws
	use				generic-service
	host_name			updatespace
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!updatespace.princeton.edu!/jspui/handle/88435/dsp01g445cd134!6!8! -s "Woodrow Wilson School"
	contacts			DSP Admins
}

define service {
	service_description		https_oaworkflow
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!oaworkflow.princeton.edu!/!6!8! -s "CAS Login"
	contacts			CISDR
}

define service {
	service_description		https_oaworkflow-dev
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!oaworkflow-dev.princeton.edu!/!6!8! -s "CAS Login"
	contacts			CISDR
}

define service {
	service_description		https_auth
	use				generic-service
	host_name			statseeker
	check_command			check_https!6!8! -a admin:G0tm1LK
	contacts			Networking
}

define service {
	service_description		https_concur
	use				generic-service
	host_name			Webcheck_host
	check_command			check_https_url!princeton.edu!/concur!7!8
	contacts			Networking
}

define service {
	service_description		https_CAS
	use				generic-service-active
	host_name			fed, iamcas200w, iamcas202l.aws, iamcas203l.aws
	max_check_attempts		4
	retry_check_interval		5
	check_command			check_https_CAS_new!https://$HOSTNAME$.princeton.edu/cas/login!casmgr!Cas12r\!ght
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS
	use				generic-service-active
	host_name			iamcas201w
	max_check_attempts		4
	retry_check_interval		5
	check_command			check_https_CAS_new!https://$HOSTNAME$.princeton.edu/cas/login!casmgr!Cas12r\!ght
	notifications_enabled		0
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_QA
	use				generic-service-active
	host_name			fedqa, iamcas102l.aws, iamcas103l.aws
	max_check_attempts		4
	retry_check_interval		5
	check_command			check_https_CAS_QA_new!https://$HOSTNAME$.princeton.edu/cas/login!casmgr!Cas12r\!ght
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_status
	use				generic-service-active
	host_name			iamcas200w
	check_command			check_http_script!/usr/local/monitoring/princeton/http_cas_status! -H $HOSTNAME$.Princeton.EDU -u /cas/status -f follow -S -v
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_status
	use				generic-service-active
	host_name			iamcas201w
	check_command			check_http_script!/usr/local/monitoring/princeton/http_cas_status! -H $HOSTNAME$.Princeton.EDU -u /cas/status -f follow -S -v
	notifications_enabled		0
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_QA_status
	use				generic-service
	host_name			fedqa, iamcas102l.aws, iamcas103l.aws
	check_command			check_https_url!$HOSTALIAS$!/cas/status!6!8! -s "Health: OK"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_fedqa_elb.135_status
	use				generic-service
	host_name			fedqa
	check_command			check_https_url_fedqa_135!6!8! -s "Health: OK"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_fedqa_elb.44_status
	use				generic-service
	host_name			fedqa
	check_command			check_https_url_fedqa_44!6!8! -s "Health: OK"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_status
	use				generic-service
	host_name			fed, iamcas202l.aws, iamcas203l.aws
	check_command			check_https_url!$HOSTALIAS$!/cas/status!6!8! -s "Health: OK"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_fed_elb.24_status
	use				generic-service
	host_name			fed
	check_command			check_https_url_fed_24!6!8! -s "Health: OK"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS_fed_elb.100_status
	use				generic-service
	host_name			fed
	check_command			check_https_url_fed_100!6!8! -s "Health: OK"
	contacts			Identity and Access Management
}

define service {
	service_description		https_CAS
	use				generic-service-active
	host_name			alumnicas
	max_check_attempts		4
	retry_check_interval		5
	check_command			check_https_CAS!https://alumnicas.princeton.edu/tigernetcas/login/!casmgr!Cas12r\!ght
	contacts			Identity and Access Management
}

define service {
	service_description		https_PUaccess
	use				generic-service-active
	host_name			PUAccess
	max_check_attempts		3
	retry_check_interval		5
	check_command			check_https_PUaccess!https://puaccess.princeton.edu!casmgr!$USER16$
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		https
	use				generic-service
	host_name			PUAccess
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https!6!8
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		https
	use				generic-service
	host_name			PUAccessQA
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!$HOSTNAME$.Princeton.EDU!/oaam_server!6!8
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}


define service {
	service_description		https_pfs
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!pfs.Princeton.EDU!/psp/pfsprod/EMPLOYEE/ERP!6!8! -s "Central Authentication Service"
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
}

define service {
	service_description		https_oampfsqual
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!oampfsqual.Princeton.EDU!/psp/pfsqual/EMPLOYEE/ERP!6!8! -s "Central Authentication Service"
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management, Jason Rappaport
}

#define service {
#	service_description		https_oampfsqual_navi
#	use				generic-service
#	host_name			Webcheck_host
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	is_volatile			1
#	active_checks_enabled		0
#	flap_detection_enabled		0
#	passive_checks_enabled		1
#	max_check_attempts		1
	#notification_interval		31536000
#	check_command			check_OK
	#notifications_enabled		0
#	notification_options		w,c
#	contacts			null
#	contact_groups			null
#}

define service {
	service_description		https_iwprod
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_iw!https://iwprod.princeton.edu/bi!groundwk!$USER30$
	check_period			Exclude Cognos App Server Restart
	notification_period		Exclude Cognos App Server Restart
	contacts			Ashutosh Hadap
}

define service {
	service_description		https_AWS_DUO
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_AWS_DUO!'https://api-dc8397fa.duosecurity.com/auth/v2/ping'!60!AWS
	contacts			Identity and Access Management, Steven Niedzwiecki
}

define service {
	service_description		http_AWS_Cloudfront_Failover
	use				generic-service
	host_name			Webcheck_host
	normal_check_interval		60
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!d13g98nelaza49.cloudfront.net!/!6!8! -f "follow" -s "Temporary Outage"
	contacts			CISDR, Networking
}


#define service {
#	service_description		https_ClearPass
#	use				generic-service
#	host_name			aruba-cppm-master, aruba-cppm-03, aruba-cppm-04
#	normal_check_interval		15
#	retry_check_interval		15
#	max_check_attempts		2
#	check_command			check_https_ClearPass!https://$HOSTALIAS$!$USER17$!$USER30$
#	event_handler			clearpass_restart
#	contacts			Networking
#}

define service {
	service_description		https_remote
	use				generic-service
	host_name			Webcheck_host
	check_command			check_https_remote!http://remote.princeton.edu!groundwk!th4de/DC
	contacts			Networking
}

define service {
	service_description		https_rsa_sc
	use				generic-service
	host_name			sdprsa200l, sdprsa201l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_sdprsa_sc!https://$HOSTALIAS$/sc!nagiosmonitor!Thewatcherwatchesevery1.
	contacts			Identity and Access Management
}

define service {
	service_description		https_rsa_ss
	use				generic-service
	host_name			sdprsa200l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_sdprsa_ss!https://$HOSTALIAS$/ss!nagiosmonitor!Thewatcherwatchesevery1.
	contacts			Identity and Access Management
}


#define service {
#	service_description		https_OnBase_AppServer
#	use				generic-service
#	host_name			aisob310w, aisob310tstw, aisob311w, aisob311tstw
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	notification_period		8x5
#	check_command			check_https_url!$HOSTNAME$.Princeton.EDU!/AppServer64/Service.asmx!6!8
#	contacts			ECM Admin Notify
#}


define service {
	service_description		http_OnBase_Hyland
	use				generic-service
	host_name			aisob116w, aisob316w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	notification_period		8x5
	check_command			check_http_url!onbasebtdev.Princeton.EDU!/Hyland.Integrations.OBInvUpdateService/WebService1.asmx!10!12
	contacts			ECM Admin Notify
}


define service {
	service_description		http_OnBase_Hyland
	use				generic-service
	host_name			aisob216w
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_url!onbasebt.Princeton.EDU!/Hyland.Integrations.OBInvUpdateService/WebService1.asmx!10!12
	contacts			ECM Admin Notify
}

define service {
	service_description		https
	use				generic-service
	host_name			puwebp
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!$HOSTNAME$.Princeton.EDU!/robots.txt!6!8
	contacts			AIS Mon CustomApps
}

define service {
	service_description		https_cng
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!cng.Princeton.EDU!6!8
	contacts			ESS Windows List
}

define service {
	service_description		https_lists
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_lists!https://lists.princeton.edu/cgi-bin/wa?REPORT&z=3!groundwk@Princeton.EDU!$USER30$
	contacts			CISDR
}

define service {
	service_description		https_ezmaxmobile
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!ezmaxmobile.Princeton.EDU!/ezmaxmobile!6!8! -N
	contact_groups			Maximo, Maximo Pagers
}

define service {
	service_description		https_maximo
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_generic!$USER1$/check_http -H maximo.Princeton.EDU -u /maximo -S -d '"'"'WWW-Authenticate: Basic realm="MAXIMO Web Application Realm'"'"' -N -f follow -E! -n "Maximo" -o '=~ /HTTP WARNING: HTTP\/1.1 401 Unauthorized/' --ignore_rc
	contact_groups			Maximo, Maximo Pagers
}

define service {
	service_description		https_ifacilities
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_simple!ifacilities.Princeton.EDU!6!8!
	contact_groups			Maximo, Maximo Pagers
}

define service {
	service_description		https_wase
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_wase
	contacts			Serge J. Goldstein, James Chu Pager
}

define service {
	service_description		https_mrtg_net
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!mrtg.net.princeton.edu!/statistics/multiplexors.html!6!8! -f "follow"
	contact_groups			Networking Pager
}

define service {
	service_description		https_www_net
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!www.net.princeton.edu!/!6!8! -f "follow"
	contact_groups			Networking Pager
}

define service {
	service_description		https_webstatsdev_8988
	use				generic-service
	host_name			csgsawmill300l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!webstatsdev.Princeton.EDU!/!6!8! -p 8988 -s "Sawmill Login"
	contacts			Dwight D. Bashore
}

define service {
	service_description		https_webstats_8988
	use				generic-service
	host_name			csgsawmill200l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!webstats.Princeton.EDU!/!6!8! -p 8988 -s "Sawmill Login"
	#check_command			check_https!6!8!-N -p 8988 -f "follow" -e "Sawmill Login"
	contacts			Dwight D. Bashore, CSG OnCall
}

#define service {
#	service_description		https
#	use				generic-service
#	hostgroup_name			Cognos Test Users
#	max_check_attempts		3
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	check_command			check_nrpe_http! -H iwqual.Princeton.EDU! -u /bi/! -S -w 6 -c 8
#	contacts			nagiosadmin
#}

define service {
	service_description		https
	use				generic-service
	host_name			iamxythos301l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_https_url!$HOSTALIAS$!/xythoswfs/webview/xythoslogin.action!6!8! -p 8443 -s Welcome
	contacts			CISDR
}

#define service {
#	service_description		tcp
#	use				generic-service
#	hostgroup_name			Cognos Test Users
#	max_check_attempts		3
#	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
#	check_command			check_nrpe_tcp! -H iwqual.Princeton.EDU! -p 80 -w 6 -c 8
#	contacts			nagiosadmin
#}


define service {
	service_description		Gmail Portal
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!gmail.princeton.edu!6!8! -s "var domain = 'princeton.edu'"
	contacts			Igor V. Gubenko, Joseph M. Karam
}


define service {
	service_description		Office365 Portal
	use				generic-service
	host_name			Webcheck_host
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_http_simple!portal.office365.com!6!8! -s "Sign in"
	contacts			Igor V. Gubenko, Joseph M. Karam
}

